package iSugar;

import static iSugar.Solver.Status.*;
import jp.kobe_u.sugar.SugarException;

public class CSPSolver extends Solver {

	public CSPSolver(String solverName) {
		super(solverName);
	}

	@Override
	public void solveProblem() throws SugarException {
		encode();
		int res = solveCSP();
		switch(res){
		case SATISFIABLE:
			System.out.println("s SATISFIABLE");
			outputSolution();
			break;
		case UNSATISFIABLE:
			System.out.println("s UNSATISFIABLE");
			break;
		case INDETERMINATE:
			System.out.println("s INDETERMINATE");
			break;
		}
	}

}
